Bug 1201989 - lxqt-config-monitor doesn't save custom preferences (such as resolution)
Summary: lxqt-config-monitor doesn't save custom preferences (such as resolution)
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: lxqt-config
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: LXQt
TreeView+ depends on / blocked
 
Reported: 2015-03-14 10:45 UTC by Giulio 'juliuxpigface'
Modified: 2018-11-11 08:06 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 19:55:10 UTC


Attachments (Terms of Use)

Description Giulio 'juliuxpigface' 2015-03-14 10:45:28 UTC
Description of problem:
I'm running Fedora Rawhide as a KVM/QEMU guest on a Fedora 21 host. Although I've got Lxde installed, my main Desktop Environment is now LxQt.

The problem is that the tool 'lxqt-config-monitor' doesn't actually save my preferences. After rebooting and loggin in via LightDm, the environment actually keeps "1024x768", even though I saved "1280x720" during the previous run.


Version-Release number of selected component (if applicable):
lxqt-config-0.9.0-4.fc23.x86_64


Steps to Reproduce:
1. Start the VM in graphical mode.
2. Log in to a lxqt's session with 'lightdm' as a normal user.
3. Set up a custom resolution via 'lxqt-config-monitor'.
4. Apply, save and confirm the changes with the appropriate buttons.
5. Reboot and repeat "step 2".


Actual results:
The resolution appears to be the default one.


Expected results:
The custom resolution should actually be restored instead.

Comment 1 Jan Kurik 2015-07-15 14:24:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 2 Fedora Update System 2015-11-03 00:54:11 UTC
pcmanfm-qt-0.10.0-1.fc22 lxqt-session-0.10.0-1.fc22 lxqt-runner-0.10.0-1.fc22 lxqt-qtplugin-0.10.0-1.fc22 lxqt-powermanagement-0.10.0-1.fc22 lxqt-policykit-0.10.0-1.fc22 lxqt-panel-0.10.0-1.fc22 lxqt-openssh-askpass-0.10.0-1.fc22 lxqt-globalkeys-0.10.0-1.fc22 lxqt-config-0.10.0-1.fc22 lxqt-common-0.10.0-1.fc22 lxqt-about-0.10.0-1.fc22 liblxqt-0.10.0-1.fc22 libqtxdg-1.3.0-1.fc22 libsysstat-0.3.1-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 3 Fedora Update System 2015-11-03 00:54:12 UTC
pcmanfm-qt-0.10.0-1.fc23 lxqt-session-0.10.0-1.fc23 lxqt-runner-0.10.0-1.fc23 lxqt-qtplugin-0.10.0-1.fc23 lxqt-powermanagement-0.10.0-1.fc23 lxqt-policykit-0.10.0-1.fc23 lxqt-panel-0.10.0-1.fc23 lxqt-openssh-askpass-0.10.0-1.fc23 lxqt-globalkeys-0.10.0-1.fc23 lxqt-config-0.10.0-1.fc23 lxqt-common-0.10.0-1.fc23 lxqt-about-0.10.0-1.fc23 liblxqt-0.10.0-1.fc23 libqtxdg-1.3.0-1.fc23 libsysstat-0.3.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 4 Fedora Update System 2015-11-03 18:57:55 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-1236ae97a3

Comment 5 Fedora Update System 2015-11-03 19:53:54 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update lxqt-about lxqt-common lxqt-config lxqt-openssh-askpass lxqt-panel lxqt-policykit lxqt-powermanagement lxqt-qtplugin lxqt-runner lxqt-session pcmanfm-qt lxqt-globalkeys liblxqt libqtxdg libsysstat'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-2c5eb8c205

Comment 6 Raphael Groner 2015-11-07 02:00:24 UTC
This bug is not fixed with LXQt 0.10 packages. Please keep this bug open.

Comment 7 Fedora Update System 2015-12-08 19:54:38 UTC
liblxqt-0.10.0-1.fc23, libqtxdg-1.3.0-1.fc23, libsysstat-0.3.1-1.fc23, lxqt-about-0.10.0-1.fc23, lxqt-common-0.10.0-1.fc23, lxqt-config-0.10.0-1.fc23, lxqt-globalkeys-0.10.0-1.fc23, lxqt-openssh-askpass-0.10.0-1.fc23, lxqt-panel-0.10.0-1.fc23, lxqt-policykit-0.10.0-1.fc23, lxqt-powermanagement-0.10.0-1.fc23, lxqt-qtplugin-0.10.0-1.fc23, lxqt-runner-0.10.0-1.fc23, lxqt-session-0.10.0-1.fc23, pcmanfm-qt-0.10.0-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-12-08 21:23:54 UTC
liblxqt-0.10.0-1.fc22, libqtxdg-1.3.0-1.fc22, libsysstat-0.3.1-1.fc22, lxqt-about-0.10.0-1.fc22, lxqt-common-0.10.0-1.fc22, lxqt-config-0.10.0-1.fc22, lxqt-globalkeys-0.10.0-1.fc22, lxqt-openssh-askpass-0.10.0-1.fc22, lxqt-panel-0.10.0-1.fc22, lxqt-policykit-0.10.0-1.fc22, lxqt-powermanagement-0.10.0-1.fc22, lxqt-qtplugin-0.10.0-1.fc22, lxqt-runner-0.10.0-1.fc22, lxqt-session-0.10.0-1.fc22, pcmanfm-qt-0.10.0-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Raphael Groner 2015-12-09 20:22:32 UTC
See comment #6.

Comment 10 Raphael Groner 2017-09-22 10:33:21 UTC
Reporter, can you still reproduce with a current Fedora, e.g. F26?

Comment 11 Raphael Groner 2018-11-11 07:51:34 UTC
House keeping.


Note You need to log in before you can comment on or make changes to this bug.